package com.ruoyi.project.business.service.quotation.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.project.business.domain.TqSalespersonSetPrice;
import com.ruoyi.project.business.mapper.quotation.TqSalespersonSetPriceMapper;
import com.ruoyi.project.business.service.quotation.ITqSalespersonSetPriceService;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-05-21
 */
@Service
public class TqSalespersonSetPriceServiceImpl extends
    ServiceImpl<TqSalespersonSetPriceMapper, TqSalespersonSetPrice> implements ITqSalespersonSetPriceService {

    @Resource
    private TqSalespersonSetPriceMapper tqSalespersonSetPriceMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TqSalespersonSetPrice selectTqSalespersonSetPriceById(Long id) {
        return tqSalespersonSetPriceMapper.selectTqSalespersonSetPriceById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tqSalespersonSetPrice 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TqSalespersonSetPrice> selectTqSalespersonSetPriceList(TqSalespersonSetPrice tqSalespersonSetPrice) {
        return tqSalespersonSetPriceMapper.selectTqSalespersonSetPriceList(tqSalespersonSetPrice);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param tqSalespersonSetPrice 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTqSalespersonSetPrice(TqSalespersonSetPrice tqSalespersonSetPrice) {
        tqSalespersonSetPrice.setCreateTime(DateUtils.getNowDate());
        return tqSalespersonSetPriceMapper.insertTqSalespersonSetPrice(tqSalespersonSetPrice);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param tqSalespersonSetPrice 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTqSalespersonSetPrice(TqSalespersonSetPrice tqSalespersonSetPrice) {
        tqSalespersonSetPrice.setUpdateTime(DateUtils.getNowDate());
        return tqSalespersonSetPriceMapper.updateTqSalespersonSetPrice(tqSalespersonSetPrice);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTqSalespersonSetPriceByIds(Long[] ids) {
        return tqSalespersonSetPriceMapper.deleteTqSalespersonSetPriceByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTqSalespersonSetPriceById(Long id) {
        return tqSalespersonSetPriceMapper.deleteTqSalespersonSetPriceById(id);
    }
}
